%define svn 20100709
%define release %mkrel 0.%{svn}.3

%define major 0
%define libname %mklibname eweather %major
%define libnamedev %mklibname eweather -d

Summary: Enlightenment weather/forecasts module
Name: eweather
Version: 0.2.0
Release: %release
License: LGPLv2+
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org/
Source:	%{name}-%{version}.tar.bz2
Patch0: eweather-0.2.0-linkage.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: ecore-devel >= 0.9.9.063
BuildRequires: edje-devel >= 0.9.93.063
BuildRequires: edje >= 0.9.93.063
BuildRequires: embryo
BuildRequires: gettext-devel
Requires:	ecore >= 0.9.9.063

%description
Enlightenment weather/forecasts module.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries
Requires: %name = %{version}-%{release}

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -q -n %name-%version
%patch0 -p0

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/eweather
%{_datadir}/eweather
%{_datadir}/images/*.png

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.0
%{_libdir}/*.so.0.*

%files -n %libnamedev
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.la




%changelog
* Tue Apr 19 2011 ennael <ennael> 0.2.0-0.20100709.3.mga1
+ Revision: 88174
- imported package eweather


* Thu Oct 14 2010 Funda Wang <fwang@mandriva.org> 0.2.0-0.20100709.3mdv2011.0
+ Revision: 585537
- rebuild
- rebuild
- rebuild

* Sat Jul 17 2010 Funda Wang <fwang@mandriva.org> 0.2.0-0.20100709.1mdv2011.0
+ Revision: 554482
- rediff linkage patch
- new snapshot

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 0.2.0-0.20091213.1mdv2010.1
+ Revision: 478423
- add BRs
- fix linkage
- add BR
- import eweather


